import sys
import os
sys.path.insert(0, os.path.join(os.path.dirname(os.path.dirname(os.path.abspath(__file__))), '..'))
from Command import *
from Program import *

class Kleber:

	def __init__(self):
		self.out='IN;SP1;'	
	def hpgl(self,w,h,d):
		dist=1.05
		for i in range(w):
			for j in range(h):
				self.out+=('PU'+str(dist*(i*2*d+d))+','+str(dist*(j*2*d+d))+';CI'+str(d)+';')
	
